<div class="container h-100 d-grid align-items-center">
  <div class="row justify-content-center">
    <div class="col-md-4 col-md-offset-4">
      <div class="panel panel-default">
        <div class="panel-body">
          <div class="text-center">
            <h3><i class="fa fa-lock fa-4x"></i></h3>
            <h2 class="text-center">Forgot Password?</h2>
            <p>You can reset your password here.</p>
            <div class="panel-body">
              <form autocomplete="off" (submit)="onSendResetRequest(form)" #form="ngForm">
                <div class="form-group">
                  <input id="email" class="w-100" placeholder="Email" name="email" placeholder="Email address"
                    [pattern]="emailPattern" ngModel #email="ngModel" required>
                  <div *ngIf="email.invalid && (form.submitted || email.touched)">
                    <div *ngIf="email.errors.required" class="input-err-text text-left">Email is required.</div>
                  </div>
                  <div class="form-group mt-3">
                    <button type="submit" class="btn btn-lg btn-primary btn-block">Send reset link</button>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<ng-template #successDialog>
  <h1 mat-dialog-title>Password Reset</h1>
  <div mat-dialog-content>
    If email is correct, you will recieve password reset instruction.
  </div>
</ng-template>